this.name				= "market_tweak.js";
this.author				= "Stranger";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for selecting market preset";
this.version				= "0.2";

this.startUp = function()
{
	//log(this.name, "this OXP initialising!");
}

this.shipExitedWitchspace = function()

	{
	
	if(system.economy > 4)                              //agrarian economy
		{
		if(system.techLevel < 4)                        //agrarian, low tech
			{
            system.mainStation.setMarketQuantity("radioactives", 0);
            system.mainStation.setMarketQuantity("liquor_wines", 0);
            system.mainStation.setMarketQuantity("luxuries", 0);
            system.mainStation.setMarketQuantity("computers", 0);
            system.mainStation.setMarketQuantity("machinery", 0);
            system.mainStation.setMarketQuantity("alloys", 0);
            system.mainStation.setMarketQuantity("firearms", 0);
            system.mainStation.setMarketQuantity("furs", 0);
            system.mainStation.setMarketQuantity("minerals", 0);
			}
		else
			{
			if(system.techLevel > 9)                    //agrarian, high tech
				{
                system.mainStation.setMarketQuantity("radioactives", 0);
                system.mainStation.setMarketQuantity("slaves", 0);
                system.mainStation.setMarketQuantity("narcotics", 0);
                system.mainStation.setMarketQuantity("computers", 0);
                system.mainStation.setMarketQuantity("machinery", 0);
                system.mainStation.setMarketQuantity("alloys", 0);
                system.mainStation.setMarketQuantity("firearms", 0);
                system.mainStation.setMarketQuantity("minerals", 0);                
				}
			else                                        //agrarian, median tech - same rules as agrarian high tech
				{
                system.mainStation.setMarketQuantity("radioactives", 0);
                system.mainStation.setMarketQuantity("slaves", 0);
                system.mainStation.setMarketQuantity("narcotics", 0);
                system.mainStation.setMarketQuantity("computers", 0);
                system.mainStation.setMarketQuantity("machinery", 0);
                system.mainStation.setMarketQuantity("alloys", 0);
                system.mainStation.setMarketQuantity("firearms", 0);
                system.mainStation.setMarketQuantity("minerals", 0); 
				}
			}
		}

	if(system.economy < 3)                              //industrial economy
		{
		if(system.techLevel < 4)                        //industrial, low tech
			{
            system.mainStation.setMarketQuantity("food", 0);
            system.mainStation.setMarketQuantity("textiles", 0);
            system.mainStation.setMarketQuantity("liquor_wines", 0);
            system.mainStation.setMarketQuantity("luxuries", 0);
            system.mainStation.setMarketQuantity("computers", 0);
            system.mainStation.setMarketQuantity("machinery", 0);
            system.mainStation.setMarketQuantity("alloys", 0);
            system.mainStation.setMarketQuantity("furs", 0);
			}
		else
			{
			if(system.techLevel > 9)                    //industrial, high tech
				{
                system.mainStation.setMarketQuantity("food", 0);
                system.mainStation.setMarketQuantity("textiles", 0);
                system.mainStation.setMarketQuantity("slaves", 0);                
                system.mainStation.setMarketQuantity("liquor_wines", 0);
                system.mainStation.setMarketQuantity("narcotics", 0);
                system.mainStation.setMarketQuantity("firearms", 0);
                system.mainStation.setMarketQuantity("furs", 0);
				}
			else                                        //industrial, median tech
				{
                system.mainStation.setMarketQuantity("food", 0);
                system.mainStation.setMarketQuantity("textiles", 0);
                system.mainStation.setMarketQuantity("slaves", 0);                
                system.mainStation.setMarketQuantity("liquor_wines", 0);
                system.mainStation.setMarketQuantity("narcotics", 0);
                system.mainStation.setMarketQuantity("computers", 0);
                system.mainStation.setMarketQuantity("firearms", 0);
                system.mainStation.setMarketQuantity("furs", 0);
				}
			}
		}

	if((system.economy >= 3)&&(system.economy <= 4))    //balanced economy
		{
		if(system.techLevel < 4)                        //balanced, low tech
			{
            system.mainStation.setMarketQuantity("liquor_wines", 0);
            system.mainStation.setMarketQuantity("luxuries", 0);
            system.mainStation.setMarketQuantity("computers", 0);
            system.mainStation.setMarketQuantity("machinery", 0);
            system.mainStation.setMarketQuantity("alloys", 0);
            system.mainStation.setMarketQuantity("furs", 0);
			}
		else
			{
			if(system.techLevel > 9)                    //balanced, high tech
				{
                system.mainStation.setMarketQuantity("slaves", 0);
                system.mainStation.setMarketQuantity("narcotics", 0);
                system.mainStation.setMarketQuantity("firearms", 0);
				}
			else                                        //balanced, median tech
				{
                system.mainStation.setMarketQuantity("slaves", 0);                
                system.mainStation.setMarketQuantity("narcotics", 0);
                system.mainStation.setMarketQuantity("computers", 0);
                system.mainStation.setMarketQuantity("firearms", 0);
				}	
			}
		}
		
	}
    